Get an FX Rate

The Get FX Rate API provides real-time foreign exchange rates for currency pairs. Users can query this API to obtain the current exchange rate between two specified currencies.

Users specify the source (currencyFrom) and target (currencyTo) currencies (e.g., USD to NGN) to retrieve the corresponding exchange rate.

In the response you'll receive a vfx_token with an expiry of 30 seconds. You can use this token to Create an FX trade.

Query Params
string
enum
required
length between 3 and 3

The ISO 4217 currency code representing the source currency for the foreign exchange transaction. This field specifies the currency that is being converted from in the exchange process.

For example, if converting from US Dollar (USD) to Naira (NGN), currencyFrom would be USD.

string
enum
required
length between 3 and 3

The ISO 4217 currency code representing the target currency for the foreign exchange transaction. This field specifies the currency that is being converted to in the exchange process.

For example, if converting from US Dollar (USD) to Naira (NGN), currencyTo would be NGN.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json